Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.skype.api
Class Skype

    java.lang.Object
      com.skype.ipc.RootObject
          com.skype.api.Skype

All Implemented Interfaces:
  EventHandler

    public class Skype

extends RootObject

Nested Class Summary
`static class` | `Skype.AUDIODEVICE_CAPABILITIES`
`class` | `Skype.FindContactByPstnNumberResult`
`class` | `Skype.GetAudioDeviceCapabilitiesResult`
`class` | `Skype.GetAvailableOutputDevicesResult`
`class` | `Skype.GetAvailableRecordingDevicesResult`
`class` | `Skype.GetAvailableVideoDevicesResult`
`class` | `Skype.GetISOCountryInfoResult`
`class` | `Skype.GetISOLanguageInfoResult`
`class` | `Skype.GetNrgLevelsResult`
`static class` | `Skype.IDENTITYTYPE`
`class` | `Skype.NormalizeIdentityResult`
`class` | `Skype.NormalizePSTNWithCountryResult`
`static class` | `Skype.NORMALIZERESULT`
`static class` | `Skype.OPERATING_MEDIA`
`static class` | `Skype.PREPARESOUNDRESULT`
`static class` | `Skype.PROXYTYPE`
`static interface` | `Skype.SkypeListener`
`static class` | `Skype.TRANSFER_SENDFILE_ERROR` sync failure reasons when starting a transfer
`class` | `Skype.ValidateAvatarResult`
`class` | `Skype.ValidateProfileStringResult`
`static class` | `Skype.VALIDATERESULT` A value of this type can be returned by one of the following methods (of Skype class): ValidateAvatar, ValidateProfileString, ValidatePassword.

Nested classes/interfaces inherited from class com.skype.ipc.RootObject
`RootObject.ErrorListener`

Field Summary
`static java.lang.String` | `BEAMFORMER_MIC_SPACING` Setupkey SETUPKEY_BEAMFORMER_MIC_SPACING type:string Space-separated array of 1 (in case of 2 microphones) or 2 (in case of 4 microphones) integers.
`static java.lang.String` | `DB_STORAGE_QUOTA_KB` Setupkey SETUPKEY_DB_STORAGE_QUOTA_KB type:int default value:"0" Use this key to limit the size of the main.db file.
`static java.lang.String` | `DISABLE_AEC` Setupkey SETUPKEY_DISABLE_AEC type:boolean Disables Skype echo canceller This setup key is machine-specific and affects all local accounts.
`static java.lang.String` | `DISABLE_AGC` Setupkey SETUPKEY_DISABLE_AGC type:boolean Disables Skype automatic gain controller This setup key is machine-specific and affects all local accounts.
`static java.lang.String` | `DISABLE_AUDIO_DEVICE_PROBING` Setupkey SETUPKEY_DISABLE_AUDIO_DEVICE_PROBING type:boolean Disables audio devices probing This setup key is machine-specific and affects all local accounts.
`static java.lang.String` | `DISABLE_DIGITAL_FAR_END_AGC` Setupkey SETUPKEY_DISABLE_DIGITAL_FAR_END_AGC type:boolean Disables Skype digital far-end gain controller This setup key is machine-specific and affects all local accounts.
`static java.lang.String` | `DISABLE_DIGITAL_NEAR_END_AGC` Setupkey SETUPKEY_DISABLE_DIGITAL_NEAR_END_AGC type:boolean Disables Skype digital near-end gain controller This setup key is machine-specific and affects all local accounts.
`static java.lang.String` | `DISABLE_NOISE_SUPPRESSOR` Setupkey SETUPKEY_DISABLE_NOISE_SUPPRESSOR type:boolean Disables Skype noise suppressor This setup key is machine-specific and affects all local accounts.
`static java.lang.String` | `DISABLE_PORT80` Setupkey SETUPKEY_DISABLE_PORT80 type:int 1 disables listening of alternative ports (80, 443) This setup key is machine-specific and affects all local accounts.
`static java.lang.String` | `DISABLE_UDP` Setupkey SETUPKEY_DISABLE_UDP type:int 1 disables UDP port binding.
`static java.lang.String` | `DISABLED_CODECS` Setupkey SETUPKEY_DISABLED_CODECS type:string Space-separated array of disabled codecs This setup key is machine-specific and affects all local accounts.
`static java.lang.String` | `FT_AUTOACCEPT` Setupkey SETUPKEY_FT_AUTOACCEPT type:int Controls file transfer auto-accept.
`static java.lang.String` | `FT_INCOMING_LIMIT` Setupkey SETUPKEY_FT_INCOMING_LIMIT type:uint Number of simultaneous incoming file transfers (per user).
`static java.lang.String` | `FT_SAVEPATH` Setupkey SETUPKEY_FT_SAVEPATH type:string Full local path to save incoming file transfers (used for AutoAccept feature) This is account-specific setup key.
`static java.lang.String` | `HTTPS_PROXY_ADDR` Setupkey SETUPKEY_HTTPS_PROXY_ADDR type:string name:port of HTTP proxy server This setup key is machine-specific and affects all local accounts.
`static java.lang.String` | `HTTPS_PROXY_ENABLE` Setupkey SETUPKEY_HTTPS_PROXY_ENABLE type:int Set to 0 for automatic proxy detect, 1 to use proxy config below This setup key is machine-specific and affects all local accounts.
`static java.lang.String` | `HTTPS_PROXY_PWD` Setupkey SETUPKEY_HTTPS_PROXY_PWD type:string HTTPS proxy server password (base64 encoded) This setup key is machine-specific and affects all local accounts.
`static java.lang.String` | `HTTPS_PROXY_USER` Setupkey SETUPKEY_HTTPS_PROXY_USER type:string HTTPS proxy server username This setup key is machine-specific and affects all local accounts.
`static java.lang.String` | `IDLE_TIME_FOR_AWAY` Setupkey SETUPKEY_IDLE_TIME_FOR_AWAY type:int Number of seconds since the last keyboard or mouse activity, after which the online status of currently logged in account should be set to AWAY.
`static java.lang.String` | `IDLE_TIME_FOR_NA` Setupkey SETUPKEY_IDLE_TIME_FOR_NA type:int The Contact.AVAILABILITY.NOT_AVAILABLE online status has been deprecated.
`java.util.Map<java.lang.Integer,java.lang.Object>` | `listeners`
`java.util.HashMap<java.lang.Integer,java.lang.Object>` | `listeners_base`
`static java.lang.String` | `LOCALADDRESS` Setupkey SETUPKEY_LOCALADDRESS type:string local interface to listen to This setup key is machine-specific and affects all local accounts.
`java.util.Map<java.lang.Integer,SkypeObject>` | `object_list`
`java.util.HashMap<java.lang.Integer,SkypeObject>` | `object_list_base`
`static java.lang.String` | `PORT` Setupkey SETUPKEY_PORT type:int Suggested port number (lib will *try* to use that) This setup key is machine-specific and affects all local accounts.
`static java.lang.String` | `SOCKS_PROXY_ADDR` Setupkey SETUPKEY_SOCKS_PROXY_ADDR type:string name:port of SOCKS proxy server This setup key is machine-specific and affects all local accounts.
`static java.lang.String` | `SOCKS_PROXY_ENABLE` Setupkey SETUPKEY_SOCKS_PROXY_ENABLE type:int Set to non-zero to enable socks proxy support This setup key is machine-specific and affects all local accounts.
`static java.lang.String` | `SOCKS_PROXY_PWD` Setupkey SETUPKEY_SOCKS_PROXY_PWD type:string SOCKS proxy server password (base64 encoded) This setup key is machine-specific and affects all local accounts.
`static java.lang.String` | `SOCKS_PROXY_USER` Setupkey SETUPKEY_SOCKS_PROXY_USER type:string SOCKS proxy server username This setup key is machine-specific and affects all local accounts.

Fields inherited from class com.skype.ipc.RootObject
`errorListener`

Constructor Summary
`Skype()`

Method Summary
`void` | `Close()`
`ContactSearch` | `CreateBasicContactSearch(java.lang.String text)` searches skypenames, aliases, fullnames, emails.
`Conversation` | `CreateConference()` Creates a new empty conversation object and returns a reference to it.
`ContactSearch` | `CreateContactSearch()` Creates a blank contact search object, in which you can add your custom search terms.
`ContactGroup` | `CreateCustomContactGroup()` Creates a new empty contact group object and returns a reference to it.
`ContactSearch` | `CreateIdentitySearch(java.lang.String identity)` searches skypenames and aliases.
`Sms` | `CreateOutgoingSms()` creates an OUTGOING/COMPOSING SMS message
`void` | `Delete(java.lang.String key)`
`void` | `DisplayVideoDeviceTuningDialog(java.lang.String deviceName, java.lang.String devicePath)`
`Skype.FindContactByPstnNumberResult` | `FindContactByPstnNumber(java.lang.String number)`
`void` | `FlushObjects()` Clear all Skypekit Objects and PROPERTIES in object cache
`Account` | `GetAccount(java.lang.String identity)` Retrieves an Account object by Skype name (identity).
`Skype.GetAudioDeviceCapabilitiesResult` | `GetAudioDeviceCapabilities(java.lang.String deviceHandle)` The uint argument returns AUDIODEVICE_CAPABILITIES (declared in Skype class)
`Skype.GetAvailableOutputDevicesResult` | `GetAvailableOutputDevices()` This method returns a table in form of three string lists of equal lengths.
`Skype.GetAvailableRecordingDevicesResult` | `GetAvailableRecordingDevices()` This method returns a table in form of three string lists of equal length.
`Skype.GetAvailableVideoDevicesResult` | `GetAvailableVideoDevices()` This method returns a table in form of two string lists of equal length and an uint argument that returns the count of items i both lists.
`byte[]` | `GetBin(java.lang.String key)` This is used for retrieving local setup keys of type binary.
`Contact` | `GetContact(java.lang.String identity)` Returns a Contact object reference.
`Contact.TYPE` | `GetContactType(java.lang.String identity)` analyzes the identity for contact type
`Conversation` | `GetConversationByBlob(java.lang.String joinBlob, boolean alsoJoin)` Retrieves a Conversation object by Public Conversation BLOB.
`Conversation` | `GetConversationByIdentity(java.lang.String convoIdentity)` Returns reference tp conversation object by conversation ID string (equivalent of old chat ID).
`Conversation` | `GetConversationByParticipants(java.lang.String[] participantIdentities, boolean createIfNonExisting, boolean ignoreBookmarkedOrNamed)` myself not included
`Conversation[]` | `GetConversationList(Conversation.LIST_TYPE type)` Returns a list of Conversation objects by Conversation.LIST_TYPE filter.
`ContactGroup[]` | `GetCustomContactGroups()` Returns a list of custom contact group references, i.e.
`java.lang.String` | `GetDefaultAccountName()` return most recently used account that has pwd saved.
`java.lang.String[]` | `GetExistingAccounts()` Returns a list of possible profiles used before on this machine
`Voicemail` | `GetGreeting(java.lang.String skypeName)`
`ContactGroup` | `GetHardwiredContactGroup(ContactGroup.TYPE type)` Takes TYPE argument (TYPE comes from ContactGroup class) and returns reference to the corresponding hardwired contact group.
`Skype.IDENTITYTYPE` | `GetIdentityType(java.lang.String identity)` This takes skypename or a phone number string as argument and returns corresponding identity type (SKYPE, SKYPE_MYSELF, PSTN, etc.)
`int` | `GetInt(java.lang.String key)` This is used for retrieving local setup keys of type int.
`java.lang.String` | `GetISOCountryCodebyPhoneNo(java.lang.String number)` Returns 2-letter country code based on PSTN number.
`Skype.GetISOCountryInfoResult` | `GetISOCountryInfo()` Returns three string lists and one int array, containing 2-letter country code, country name, dialing prefix and example dial string (not available for all items).
`Skype.GetISOLanguageInfoResult` | `GetISOLanguageInfo()` Returns two string lists.
`Message` | `GetMessageByGuid(byte[] guid)` Retrieves a Message object by the P_GUID property (globally unique ID, same for all the participants of the conversation, in which this message occured).
`Message[]` | `GetMessageListByType(Message.TYPE type, boolean latestPerConvOnly, int fromTimestampInc, int toTimestampExc)` Returns all messages of the given type, the most recent POSTED_EMOTE or POSTED_TEXT of each conversation.
`int` | `GetMicVolume()` Returns value of microphone volume setting (0..100).
`static int` | `getmoduleid()`
`Skype.GetNrgLevelsResult` | `GetNrgLevels()` Returns current audio stream volume for both playback and microphone streams.
`int[]` | `GetOptimalAgeRanges()` list of (min,max) pairs
`Video` | `GetPreviewVideo(Video.MEDIATYPE type, java.lang.String deviceName, java.lang.String devicePath)`
`int` | `GetSpeakerVolume()` Returns value of audio playback volume setting (0..100).
`java.lang.String` | `GetStr(java.lang.String key)` This is used for retrieving local setup keys of type string.
`java.lang.String[]` | `GetSubKeys(java.lang.String key)`
`java.lang.String` | `GetSuggestedSkypename(java.lang.String fullname)` suggest a nice skypename to go with given fullname
`java.lang.String` | `GetVersionString()` returns the runtime version as a string
`Voicemail` | `GetVoiceMailFromId(int oid, Skype skype)` Static method to retrieve Voicemail object from object id
`void` | `HandleEvent_inner(Event e)`
`void` | `HandleEvent(Event e)`
`void` | `HandlePropertyChange(PropertyChange pc)`
`void` | `HasVideoDeviceCapability(java.lang.String deviceName, java.lang.String devicePath, Video.VIDEO_DEVICE_CAPABILITY cap)` Queries whether the given video device has a specific Video.VIDEO_DEVICE_CAPABILITY.
`boolean` | `IdentitiesMatch(java.lang.String identityA, java.lang.String identityB)` compares two identities to see if they match
`boolean` | `IsDefined(java.lang.String key)` Returns true if the given setup key is defined in local setup.
`boolean` | `IsMicrophoneMuted()` Returns true in &muted argument if the currently selected microphone is muted.
`boolean` | `IsSpeakerMuted()` Returns true in &muted argument if the currently selected playback device is muted.
`void` | `MuteMicrophone(boolean mute)` Sets currently selected microphone mute status according to argument.
`void` | `MuteSpeakers(boolean mute)` Sets currently selected playback device mute status according to argument.
`Skype.NormalizeIdentityResult` | `NormalizeIdentity(java.lang.String original, boolean isNewSkypeName)` This method is deprecated.
`Skype.NormalizePSTNWithCountryResult` | `NormalizePSTNWithCountry(java.lang.String original, int countryPrefix)` NormalizePSTNWithCountry checks if the phone number starts with + if it doesn't, it prefixes the output with +XXX (where XXX is the country code).
`void` | `PlayStart(int soundid, byte[] sound, boolean loop, boolean useCallOutDevice)` Takes audio data that comes from the sound argument and mixes it into playback or notification device, depending on the value passed in the useCallOutDevice argument.
`Skype.PREPARESOUNDRESULT` | `PlayStartFromFile(int soundid, java.lang.String datafile, boolean loop, boolean useCallOutDevice)`
`void` | `PlayStop(int soundid)` Stops playback of the soundfile.
`void` | `RegisterListener(int modid, java.lang.Object listener)` Register listener interface, need to pass module id as first param
`Sms` | `RequestConfirmationCode(Sms.CONFIRM_TYPE type, java.lang.String number)` creates an CONFIRMATION_CODE_REQUEST SMS message
`void` | `SelectSoundDevices(java.lang.String callInDevice, java.lang.String callOutDevice, java.lang.String waveOutDevice)` Sets audio devices given in arguments as active audio devices.
`void` | `SetBin(java.lang.String key, byte[] value)` This is used for setting local setup keys of type binary.
`void` | `SetInt(java.lang.String key, int value)` This is used for setting local setup keys of type int.
`void` | `SetMicVolume(int volume)` This method is for setting the microphone volume level.
`void` | `SetMobileMode()` Turn on Mobile Optimisations in Skypekit runtime and configure Skypekit not to send already read messages
`void` | `SetOperatingMedia(Skype.OPERATING_MEDIA media, int maxUplinkBps, int maxDownlinkBps)`
`void` | `SetSpeakerVolume(int volume)` This method is for setting speaker volume.
`void` | `SetStr(java.lang.String key, java.lang.String value)` This is used for setting local setup keys of type string.
`boolean` | `Start()`
`void` | `StartRecordingTest(boolean recordAndPlaybackData)`
`void` | `StopRecordingTest()`
`Sms` | `SubmitConfirmationCode(java.lang.String number, java.lang.String code)` creates an CONFIRMATION_CODE_REQUEST SMS message
`void` | `UnRegisterListener(int modid, java.lang.Object listener)` Remove listener interface, need to pass module id as first param
`Skype.ValidateAvatarResult` | `ValidateAvatar(byte[] value)`
`Skype.VALIDATERESULT` | `ValidatePassword(java.lang.String username, java.lang.String password)` This method is for pre-validating account passwords before account creation or password change.
`Skype.ValidateProfileStringResult` | `ValidateProfileString(int propKey, java.lang.String strValue, boolean forRegistration)` This method should be used for validating skypenames before registering new accounts, if the propKey is set to SKYPENAME (Contact class) and forRegistration argument is set to true.
`java.lang.String` | `VideoCommand(java.lang.String command)` Avaible to Video Engines using the Video RTP API
`java.lang.String` | `VoiceCommand(java.lang.String command)` NB! This command only works if its implemented in external audiohost (RTP or PCM host).

Methods inherited from class com.skype.ipc.RootObject
`factory, GetProperty, getTransport, Init, InitNonTLSInsecure, MultiGetProperty, SetErrorListener, XCall`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### object_list_base

    public java.util.HashMap<java.lang.Integer,SkypeObject> object_list_base

### listeners_base

    public java.util.HashMap<java.lang.Integer,java.lang.Object> listeners_base

### object_list

    public java.util.Map<java.lang.Integer,SkypeObject> object_list

### listeners

    public java.util.Map<java.lang.Integer,java.lang.Object> listeners

### DB_STORAGE_QUOTA_KB

    public static final java.lang.String DB_STORAGE_QUOTA_KB

  Setupkey SETUPKEY_DB_STORAGE_QUOTA_KB type:int default value:"0"
  Use this key to limit the size of the main.db file. Value is in KB. Quota are disabled by default.
  This setup key is machine-specific and affects all local accounts.

  See Also:
    Constant Field Values

### DISABLED_CODECS

    public static final java.lang.String DISABLED_CODECS

  Setupkey SETUPKEY_DISABLED_CODECS type:string
  Space-separated array of disabled codecs
  This setup key is machine-specific and affects all local accounts.

  See Also:
    Constant Field Values

### DISABLE_AEC

    public static final java.lang.String DISABLE_AEC

  Setupkey SETUPKEY_DISABLE_AEC type:boolean
  Disables Skype echo canceller
  This setup key is machine-specific and affects all local accounts.

  See Also:
    Constant Field Values

### DISABLE_NOISE_SUPPRESSOR

    public static final java.lang.String DISABLE_NOISE_SUPPRESSOR

  Setupkey SETUPKEY_DISABLE_NOISE_SUPPRESSOR type:boolean
  Disables Skype noise suppressor
  This setup key is machine-specific and affects all local accounts.

  See Also:
    Constant Field Values

### DISABLE_AGC

    public static final java.lang.String DISABLE_AGC

  Setupkey SETUPKEY_DISABLE_AGC type:boolean Disables Skype automatic gain controller
  This setup key is machine-specific and affects all local accounts.

  See Also:
    Constant Field Values

### DISABLE_DIGITAL_NEAR_END_AGC

    public static final java.lang.String DISABLE_DIGITAL_NEAR_END_AGC

  Setupkey SETUPKEY_DISABLE_DIGITAL_NEAR_END_AGC type:boolean
  Disables Skype digital near-end gain controller
  This setup key is machine-specific and affects all local accounts.

  See Also:
    Constant Field Values

### DISABLE_DIGITAL_FAR_END_AGC

    public static final java.lang.String DISABLE_DIGITAL_FAR_END_AGC

  Setupkey SETUPKEY_DISABLE_DIGITAL_FAR_END_AGC type:boolean
  Disables Skype digital far-end gain controller
  This setup key is machine-specific and affects all local accounts.

  See Also:
    Constant Field Values

### BEAMFORMER_MIC_SPACING

    public static final java.lang.String BEAMFORMER_MIC_SPACING

  Setupkey SETUPKEY_BEAMFORMER_MIC_SPACING type:string
  Space-separated array of 1 (in case of 2 microphones) or 2 (in case of 4 microphones) integers. SAL beamforming currently only supports 2 and 4-microphone configurations. The values represent the spacing between microphones (in millimeters).
  In case of 2-microphone setup, Only the first value is used.
  In case of 4-microphone setup, The first value is the distance between inner pair of microphones. The second value is the distance between inner pair of microphones and the outer pair. Like this:
  Let the microphones be on straight line, A B C D.
  Microphones B and C form the inner pair, while A and D form the outer pair.
  The first value in the setup string would be distance between B and C.
  The second value would be distance between A and B (which is the same as distance between C and D).
  With 4-mic setup, you will need to use two channels. The inner pair should go to one channel (left) and the outer pair should go to another (right).
  This setup key is machine-specific and affects all local accounts.

  See Also:
    Constant Field Values

### DISABLE_AUDIO_DEVICE_PROBING

    public static final java.lang.String DISABLE_AUDIO_DEVICE_PROBING

  Setupkey SETUPKEY_DISABLE_AUDIO_DEVICE_PROBING type:boolean
  Disables audio devices probing
  This setup key is machine-specific and affects all local accounts.

  See Also:
    Constant Field Values

### FT_AUTOACCEPT

    public static final java.lang.String FT_AUTOACCEPT

  Setupkey SETUPKEY_FT_AUTOACCEPT type:int
  Controls file transfer auto-accept.
  - 0 - off
  - 1 - on
  This is account-specific setup key. It can only be used while an account is logged in.

  See Also:
    Constant Field Values

### FT_SAVEPATH

    public static final java.lang.String FT_SAVEPATH

  Setupkey SETUPKEY_FT_SAVEPATH type:string
  Full local path to save incoming file transfers (used for AutoAccept feature)
  This is account-specific setup key. It can only be used while an account is logged in.

  See Also:
    Constant Field Values

### FT_INCOMING_LIMIT

    public static final java.lang.String FT_INCOMING_LIMIT

  Setupkey SETUPKEY_FT_INCOMING_LIMIT type:uint
  Number of simultaneous incoming file transfers (per user). Value 0 means no limitation.
  This is account-specific setup key. It can only be used while an account is logged in.

  See Also:
    Constant Field Values

### IDLE_TIME_FOR_AWAY

    public static final java.lang.String IDLE_TIME_FOR_AWAY

  Setupkey SETUPKEY_IDLE_TIME_FOR_AWAY type:int
  Number of seconds since the last keyboard or mouse activity, after which the online status of currently logged in account should be set to AWAY. See Account.SetAvailability method for more information.
  This is account-specific setup key. It can only be used while an account is logged in.

  See Also:
    Constant Field Values

### IDLE_TIME_FOR_NA

    public static final java.lang.String IDLE_TIME_FOR_NA

  Setupkey SETUPKEY_IDLE_TIME_FOR_NA type:int
  The Contact.AVAILABILITY.NOT_AVAILABLE online status has been deprecated. This setup key is no longer in use.

  See Also:
    Constant Field Values

### PORT

    public static final java.lang.String PORT

  Setupkey SETUPKEY_PORT type:int
  Suggested port number (lib will *try* to use that)
  This setup key is machine-specific and affects all local accounts.

  See Also:
    Constant Field Values

### HTTPS_PROXY_ENABLE

    public static final java.lang.String HTTPS_PROXY_ENABLE

  Setupkey SETUPKEY_HTTPS_PROXY_ENABLE type:int
  Set to 0 for automatic proxy detect, 1 to use proxy config below
  This setup key is machine-specific and affects all local accounts.

  See Also:
    Constant Field Values

### HTTPS_PROXY_ADDR

    public static final java.lang.String HTTPS_PROXY_ADDR

  Setupkey SETUPKEY_HTTPS_PROXY_ADDR type:string
  name:port of HTTP proxy server
  This setup key is machine-specific and affects all local accounts.

  See Also:
    Constant Field Values

### HTTPS_PROXY_USER

    public static final java.lang.String HTTPS_PROXY_USER

  Setupkey SETUPKEY_HTTPS_PROXY_USER type:string
  HTTPS proxy server username
  This setup key is machine-specific and affects all local accounts.

  See Also:
    Constant Field Values

### HTTPS_PROXY_PWD

    public static final java.lang.String HTTPS_PROXY_PWD

  Setupkey SETUPKEY_HTTPS_PROXY_PWD type:string
  HTTPS proxy server password (base64 encoded)
  This setup key is machine-specific and affects all local accounts.

  See Also:
    Constant Field Values

### SOCKS_PROXY_ENABLE

    public static final java.lang.String SOCKS_PROXY_ENABLE

  Setupkey SETUPKEY_SOCKS_PROXY_ENABLE type:int
  Set to non-zero to enable socks proxy support
  This setup key is machine-specific and affects all local accounts.

  See Also:
    Constant Field Values

### SOCKS_PROXY_ADDR

    public static final java.lang.String SOCKS_PROXY_ADDR

  Setupkey SETUPKEY_SOCKS_PROXY_ADDR type:string
  name:port of SOCKS proxy server
  This setup key is machine-specific and affects all local accounts.

  See Also:
    Constant Field Values

### SOCKS_PROXY_USER

    public static final java.lang.String SOCKS_PROXY_USER

  Setupkey SETUPKEY_SOCKS_PROXY_USER type:string
  SOCKS proxy server username
  This setup key is machine-specific and affects all local accounts.

  See Also:
    Constant Field Values

### SOCKS_PROXY_PWD

    public static final java.lang.String SOCKS_PROXY_PWD

  Setupkey SETUPKEY_SOCKS_PROXY_PWD type:string
  SOCKS proxy server password (base64 encoded)
  This setup key is machine-specific and affects all local accounts.

  See Also:
    Constant Field Values

### LOCALADDRESS

    public static final java.lang.String LOCALADDRESS

  Setupkey SETUPKEY_LOCALADDRESS type:string
  local interface to listen to
  This setup key is machine-specific and affects all local accounts.

  See Also:
    Constant Field Values

### DISABLE_PORT80

    public static final java.lang.String DISABLE_PORT80

  Setupkey SETUPKEY_DISABLE_PORT80 type:int
  1 disables listening of alternative ports (80, 443)
  This setup key is machine-specific and affects all local accounts.

  See Also:
    Constant Field Values

### DISABLE_UDP

    public static final java.lang.String DISABLE_UDP

  Setupkey SETUPKEY_DISABLE_UDP type:int
  1 disables UDP port binding. should be set before connect
  This setup key is machine-specific and affects all local accounts.

  See Also:
    Constant Field Values

Constructor Detail

### Skype

    public Skype()

Method Detail

### getmoduleid

    public static final int getmoduleid()

### RegisterListener

    public void RegisterListener(int modid,
                                 java.lang.Object listener)

  Register listener interface, need to pass module id as first param

### UnRegisterListener

    public void UnRegisterListener(int modid,
                                   java.lang.Object listener)

  Remove listener interface, need to pass module id as first param

### HandlePropertyChange

    public void HandlePropertyChange(PropertyChange pc)

  Specified by:
    `HandlePropertyChange` in interface `EventHandler`
  Overrides:
    `HandlePropertyChange` in class `RootObject`

### Close

    public void Close()
               throws java.io.IOException

  Overrides:
    `Close` in class `RootObject`
  Throws:
    `java.io.IOException`

### FlushObjects

    public void FlushObjects()

  Clear all Skypekit Objects and PROPERTIES in object cache

### SetMobileMode

    public void SetMobileMode()

  Turn on Mobile Optimisations in Skypekit runtime and configure Skypekit not to send already read messages

### GetVoiceMailFromId

    public Voicemail GetVoiceMailFromId(int oid,
                                        Skype skype)

  Static method to retrieve Voicemail object from object id

### HandleEvent

    public void HandleEvent(Event e)

  Specified by:
    `HandleEvent` in interface `EventHandler`
  Overrides:
    `HandleEvent` in class `RootObject`

### HandleEvent_inner

    public void HandleEvent_inner(Event e)

### Start

    public boolean Start()

  Returns:
    started

### GetVersionString

    public java.lang.String GetVersionString()

  returns the runtime version as a string

  Returns:
    version

### GetHardwiredContactGroup

    public ContactGroup GetHardwiredContactGroup(ContactGroup.TYPE type)

  Takes TYPE argument (TYPE comes from ContactGroup class) and returns reference to the corresponding hardwired contact group. For example (C++): skype->GetHardwiredContactGroup(ContactGroup.ONLINE_BUDDIES, GroupRef) would return the list of all contacts that are currently online.

  Parameters:
    `type` -
  Returns:
    contactGroup

### GetCustomContactGroups

    public ContactGroup[] GetCustomContactGroups()

  Returns a list of custom contact group references, i.e. all contact groups that are not hardwired.

  Returns:
    groups

### CreateCustomContactGroup

    public ContactGroup CreateCustomContactGroup()

  Creates a new empty contact group object and returns a reference to it. The group will then show up in the custom group list that you can get with Skype class GetCustomContactGroups method. Existing contacts can be added to the new group with ContactGroup class AddContact method and a custom name can be given to it with GiveDisplayName method.
  Note that no check is made for existing of displaynames with the same name - if you wish to force uniqueness in custom group names you will have to check that yourself before creating the group.

  Returns:
    group

### GetContactType

    public Contact.TYPE GetContactType(java.lang.String identity)

  analyzes the identity for contact type

  Parameters:
    `identity` -
  Returns:
    type

### GetContact

    public Contact GetContact(java.lang.String identity)

  Returns a Contact object reference. If a matching contact is not found in the existing contact list, a new Contact object will be created. Note that if you pass in a phone number in the identity argument, the type for the newly created Contact will be automatically set to Contact.PSTN (Contact.SKYPE otherwise).

  Parameters:
    `identity` - Either skypename or a phone number
  Returns:
    contact Returns a contact object.

### FindContactByPstnNumber

    public Skype.FindContactByPstnNumberResult FindContactByPstnNumber(java.lang.String number)

  Parameters:
    `number` -
  Returns:
    FindContactByPstnNumberResult

### GetIdentityType

    public Skype.IDENTITYTYPE GetIdentityType(java.lang.String identity)

  This takes skypename or a phone number string as argument and returns corresponding identity type (SKYPE, SKYPE_MYSELF, PSTN, etc.)

  Parameters:
    `identity` -
  Returns:
    type

### IdentitiesMatch

    public boolean IdentitiesMatch(java.lang.String identityA,
                                   java.lang.String identityB)

  compares two identities to see if they match

  Parameters:
    `identityA` -
    `identityB` -
  Returns:
    result

### NormalizeIdentity

    public Skype.NormalizeIdentityResult NormalizeIdentity(java.lang.String original,
                                                           boolean isNewSkypeName)

  This method is deprecated. Use ValidateProfileString method instead.

  Parameters:
    `original` -
    `isNewSkypeName` -
  Returns:
    NormalizeIdentityResult

### NormalizePSTNWithCountry

    public Skype.NormalizePSTNWithCountryResult NormalizePSTNWithCountry(java.lang.String original,
                                                                         int countryPrefix)

  NormalizePSTNWithCountry checks if the phone number starts with + if it doesn't, it prefixes the output with +XXX (where XXX is the country code). It also converts letters to numbers based on the standard phone keypad, so that the phone number string 212CALLME1 with country code 372 (Estonia) would be normalized to +3722122255631. If the method cannot normalize the phone number (because it's too long, too short, etc.), it returns an error code in &result.

  Parameters:
    `original` -
    `countryPrefix` -
  Returns:
    NormalizePSTNWithCountryResult

### GetOptimalAgeRanges

    public int[] GetOptimalAgeRanges()

  list of (min,max) pairs

  Returns:
    rangeList

### CreateContactSearch

    public ContactSearch CreateContactSearch()

  Creates a blank contact search object, in which you can add your custom search terms. For more information how asynchronous contact search works, see ContactSearch class details.

  Returns:
    search Returns blank ContactSearch object.

### CreateBasicContactSearch

    public ContactSearch CreateBasicContactSearch(java.lang.String text)

  searches skypenames, aliases, fullnames, emails. false if not valid

  Parameters:
    `text` -
  Returns:
    search

### CreateIdentitySearch

    public ContactSearch CreateIdentitySearch(java.lang.String identity)

  searches skypenames and aliases. returns 0 or 1 results. false if not valid

  Parameters:
    `identity` -
  Returns:
    search

### CreateConference

    public Conversation CreateConference()

  Creates a new empty conversation object and returns a reference to it.

  Returns:
    conference

### GetConversationByIdentity

    public Conversation GetConversationByIdentity(java.lang.String convoIdentity)

  Returns reference tp conversation object by conversation ID string (equivalent of old chat ID). NB! ID here is that of conversation, rather than skypename of dialog partner. If you want to retrieve a conversation object with any particular person, then Skype class GetConversationByParticipants method is what you are looking for.

  Parameters:
    `convoIdentity` -
  Returns:
    conversation

### GetConversationByParticipants

    public Conversation GetConversationByParticipants(java.lang.String[] participantIdentities,
                                                      boolean createIfNonExisting,
                                                      boolean ignoreBookmarkedOrNamed)

  myself not included

  Parameters:
    `participantIdentities` -
    `createIfNonExisting` -
    `ignoreBookmarkedOrNamed` -
  Returns:
    conversation

### GetConversationByBlob

    public Conversation GetConversationByBlob(java.lang.String joinBlob,
                                              boolean alsoJoin)

  Retrieves a Conversation object by Public Conversation BLOB. Public conversation blobs are globally unique conversation IDs that provide a method for joining conversation without explicitly being added to the conversation by someone already in it. Programmatically, a Conversation BLOB can be retrieved with Conversation.GetJoinBlob method. In Skype desktop clients, the BLOB can be retrieved by typing "/get uri" in a conversation. The conversation can then be joined by people who have somehow received that BLOB.

  Parameters:
    `joinBlob` - The BLOB string.
    `alsoJoin` - If set to true, automatically joins current user into the Conversation.
  Returns:
    conversation Returns Conversation object if successful.

### GetConversationList

    public Conversation[] GetConversationList(Conversation.LIST_TYPE type)

  Returns a list of Conversation objects by Conversation.LIST_TYPE filter.

  Parameters:
    `type` - Filter.
  Returns:
    conversations List of conversations matching the filter.

### GetMessageByGuid

    public Message GetMessageByGuid(byte[] guid)

  Retrieves a Message object by the P_GUID property (globally unique ID, same for all the participants of the conversation, in which this message occured).

  Parameters:
    `guid` - Globally unique ID of the message.
  Returns:
    message Returns a Message object if a match was found.

### GetMessageListByType

    public Message[] GetMessageListByType(Message.TYPE type,
                                          boolean latestPerConvOnly,
                                          int fromTimestampInc,
                                          int toTimestampExc)

  Returns all messages of the given type, the most recent POSTED_EMOTE or POSTED_TEXT of each conversation.

  Parameters:
    `type` - Type of messages requested
    `latestPerConvOnly` - Whether to return only the most recent message per conversation
    `fromTimestampInc` - Starting timestamp for reqested range, inclusive
    `toTimestampExc` - Ending timestamp for requested range, exclusive
  Returns:
    messages

### GetAvailableVideoDevices

    public Skype.GetAvailableVideoDevicesResult GetAvailableVideoDevices()

  This method returns a table in form of two string lists of equal length and an uint argument that returns the count of items i both lists. The first list contains video recording device handles and the second list descriptive names of those devices. NB! This method requires videortphost to be running, otherwise it will return empty lists.

  Returns:
    GetAvailableVideoDevicesResult

### HasVideoDeviceCapability

    public void HasVideoDeviceCapability(java.lang.String deviceName,
                                         java.lang.String devicePath,
                                         Video.VIDEO_DEVICE_CAPABILITY cap)

  Queries whether the given video device has a specific Video.VIDEO_DEVICE_CAPABILITY. Use Skype.GetAvailableVideoDevices method to retrieve sstring lists with available deviceName and devicePath values.

  Parameters:
    `deviceName` - Human readable device name.
    `devicePath` - Device ID.
    `cap` - Any of the Video.VIDEO_DEVICE_CAPABILITY values.

### DisplayVideoDeviceTuningDialog

    public void DisplayVideoDeviceTuningDialog(java.lang.String deviceName,
                                               java.lang.String devicePath)

  Parameters:
    `deviceName` -
    `devicePath` -

### GetPreviewVideo

    public Video GetPreviewVideo(Video.MEDIATYPE type,
                                 java.lang.String deviceName,
                                 java.lang.String devicePath)

  Parameters:
    `type` -
    `deviceName` - name and path to be used only with media type VIDEO
    `devicePath` -
  Returns:
    video

### VideoCommand

    public java.lang.String VideoCommand(java.lang.String command)

  Avaible to Video Engines using the Video RTP API

  Parameters:
    `command` -
  Returns:
    response

### GetGreeting

    public Voicemail GetGreeting(java.lang.String skypeName)

  Parameters:
    `skypeName` -
  Returns:
    greeting

### PlayStart

    public void PlayStart(int soundid,
                          byte[] sound,
                          boolean loop,
                          boolean useCallOutDevice)

  Takes audio data that comes from the sound argument and mixes it into playback or notification device, depending on the value passed in the useCallOutDevice argument. The sound argument contains the audio data in in follwing format: first 4 bytes of the binary contain the sample rate, followed by 16 bit (mono) samples. The soundid argument is an arbitrary ID that you can pass in and then later use as an argument for Skype class PlayStop method. To mix the audio into playback device stream, set useCallOutDevice to true, to mic it into notification stream, set useCallOutDevice to false.

  Parameters:
    `soundid` -
    `sound` -
    `loop` -
    `useCallOutDevice` -

### PlayStartFromFile

    public Skype.PREPARESOUNDRESULT PlayStartFromFile(int soundid,
                                                      java.lang.String datafile,
                                                      boolean loop,
                                                      boolean useCallOutDevice)

  Parameters:
    `soundid` -
    `datafile` -
    `loop` -
    `useCallOutDevice` -
  Returns:
    result

### PlayStop

    public void PlayStop(int soundid)

  Stops playback of the soundfile. The argument is the same ID you passed in the Skype class StartPlayback method.

  Parameters:
    `soundid` -

### StartRecordingTest

    public void StartRecordingTest(boolean recordAndPlaybackData)

  Parameters:
    `recordAndPlaybackData` -

### StopRecordingTest

    public void StopRecordingTest()

### GetAvailableOutputDevices

    public Skype.GetAvailableOutputDevicesResult GetAvailableOutputDevices()

  This method returns a table in form of three string lists of equal lengths. The first list contains audio output device handles ('hw:0,0', 'hw:0,1', etc.) The second list contains descriptive names of those devices (Ensoniq AudioPCI etc.) The third list contains device product IDs. Note that the values in these lists depend on which audio engine you are running (SAL, PCM, RTP).

  Returns:
    GetAvailableOutputDevicesResult

### GetAvailableRecordingDevices

    public Skype.GetAvailableRecordingDevicesResult GetAvailableRecordingDevices()

  This method returns a table in form of three string lists of equal length. The first list contains audio recording device handles ('hw:0,0', 'hw:0,1', etc.) The second list contains descriptive names of those devices (Ensoniq AudioPCI etc.) The third list contains device product IDs. Note that the values in these lists depend on which audio engine you are running (SAL, PCM, RTP).

  Returns:
    GetAvailableRecordingDevicesResult

### SelectSoundDevices

    public void SelectSoundDevices(java.lang.String callInDevice,
                                   java.lang.String callOutDevice,
                                   java.lang.String waveOutDevice)

  Sets audio devices given in arguments as active audio devices. This command selects all three devices - microphone, playback and the notification channel. Valid input values for this method come from the first string list you get back from Skype class GetAvailableOutputDevices (handleList).

  Parameters:
    `callInDevice` -
    `callOutDevice` -
    `waveOutDevice` -

### GetAudioDeviceCapabilities

    public Skype.GetAudioDeviceCapabilitiesResult GetAudioDeviceCapabilities(java.lang.String deviceHandle)

  The uint argument returns AUDIODEVICE_CAPABILITIES (declared in Skype class)

  Parameters:
    `deviceHandle` -
  Returns:
    GetAudioDeviceCapabilitiesResult

### GetNrgLevels

    public Skype.GetNrgLevelsResult GetNrgLevels()

  Returns current audio stream volume for both playback and microphone streams. Useful for displaying visual audio indicators in you UI. See also Skype class OnNrgLevelsChange callback that gets fired each time the these values are changed.

  Returns:
    GetNrgLevelsResult

### VoiceCommand

    public java.lang.String VoiceCommand(java.lang.String command)

  NB! This command only works if its implemented in external audiohost (RTP or PCM host). The command can be is used for passing custom commands from client UI to the audio implementation.

  Parameters:
    `command` -
  Returns:
    response

### GetSpeakerVolume

    public int GetSpeakerVolume()

  Returns value of audio playback volume setting (0..100).

  Returns:
    volume

### SetSpeakerVolume

    public void SetSpeakerVolume(int volume)

  This method is for setting speaker volume. It will set the level for Skype digital gain control. Skype audio library will not control gain of audio device itself.

  Parameters:
    `volume` -

### GetMicVolume

    public int GetMicVolume()

  Returns value of microphone volume setting (0..100). It will return the analog gain of audio device set by Skype AGC. For real-time microphone volume, use GetNrgLevels method or OnNrgLevelsChange callback (both are methods of Skype class).

  Returns:
    micVolume

### SetMicVolume

    public void SetMicVolume(int volume)

  This method is for setting the microphone volume level. This does not work when Skype AGC (Automatic Gain Control) is enabled, which it is by default. It is currently impossible to disable AGC, so for now this method is here for purpose of future compatibility.

  Parameters:
    `volume` -

### IsSpeakerMuted

    public boolean IsSpeakerMuted()

  Returns true in &muted argument if the currently selected playback device is muted.

  Returns:
    muted

### IsMicrophoneMuted

    public boolean IsMicrophoneMuted()

  Returns true in &muted argument if the currently selected microphone is muted.

  Returns:
    muted

### MuteSpeakers

    public void MuteSpeakers(boolean mute)

  Sets currently selected playback device mute status according to argument.

  Parameters:
    `mute` -

### MuteMicrophone

    public void MuteMicrophone(boolean mute)

  Sets currently selected microphone mute status according to argument.

  Parameters:
    `mute` -

### SetOperatingMedia

    public void SetOperatingMedia(Skype.OPERATING_MEDIA media,
                                  int maxUplinkBps,
                                  int maxDownlinkBps)

  Parameters:
    `media` -
    `maxUplinkBps` -
    `maxDownlinkBps` -

### RequestConfirmationCode

    public Sms RequestConfirmationCode(Sms.CONFIRM_TYPE type,
                                       java.lang.String number)

  creates an CONFIRMATION_CODE_REQUEST SMS message

  Parameters:
    `type` -
    `number` -
  Returns:
    sms

### SubmitConfirmationCode

    public Sms SubmitConfirmationCode(java.lang.String number,
                                      java.lang.String code)

  creates an CONFIRMATION_CODE_REQUEST SMS message

  Parameters:
    `number` -
    `code` -
  Returns:
    sms

### CreateOutgoingSms

    public Sms CreateOutgoingSms()

  creates an OUTGOING/COMPOSING SMS message

  Returns:
    sms

### GetAccount

    public Account GetAccount(java.lang.String identity)

  Retrieves an Account object by Skype name (identity). This should normally be one of the first method calls after Skype object initialization. Nearly all the other methods require successful account login in order to work properly. The list of accounts that have been used on the local machine/database can be retrieved with Skype.GetExistingAccounts method. If a matching identity is not found, a new Account object is created. This object can then be used to populate requred fields and then use Account.Register method for new account creation. This method returns false on error.

  Parameters:
    `identity` - Account skypename.
  Returns:
    account Returns account object if successful.

### GetExistingAccounts

    public java.lang.String[] GetExistingAccounts()

  Returns a list of possible profiles used before on this machine

  Returns:
    accountNameList

### GetDefaultAccountName

    public java.lang.String GetDefaultAccountName()

  return most recently used account that has pwd saved. empty string if none

  Returns:
    account

### GetSuggestedSkypename

    public java.lang.String GetSuggestedSkypename(java.lang.String fullname)

  suggest a nice skypename to go with given fullname

  Parameters:
    `fullname` -
  Returns:
    suggestedName

### ValidateAvatar

    public Skype.ValidateAvatarResult ValidateAvatar(byte[] value)

  Parameters:
    `value` -
  Returns:
    ValidateAvatarResult

### ValidateProfileString

    public Skype.ValidateProfileStringResult ValidateProfileString(int propKey,
                                                                   java.lang.String strValue,
                                                                   boolean forRegistration)

  This method should be used for validating skypenames before registering new accounts, if the propKey is set to SKYPENAME (Contact class) and forRegistration argument is set to true. If the forRegistration argument is false, only string length check is applied. It is also useful to probe, what the size limits are, for each string property (e.g. 300 characters for moodmessage)

  Parameters:
    `propKey` -
    `strValue` -
    `forRegistration` -
  Returns:
    ValidateProfileStringResult

### ValidatePassword

    public Skype.VALIDATERESULT ValidatePassword(java.lang.String username,
                                                 java.lang.String password)

  This method is for pre-validating account passwords before account creation or password change. The result will return either VALIDATED_OK or one of many possible reasons the password is unacceptable (too short, too simple, etc.)

  Parameters:
    `username` -
    `password` -
  Returns:
    result

### GetStr

    public java.lang.String GetStr(java.lang.String key)

  This is used for retrieving local setup keys of type string. For more information, see Defines section in the skype-embedded_2.h

  Parameters:
    `key` -
  Returns:
    value

### GetInt

    public int GetInt(java.lang.String key)

  This is used for retrieving local setup keys of type int. For more information, see Defines section in the skype-embedded_2.h

  Parameters:
    `key` -
  Returns:
    value

### GetBin

    public byte[] GetBin(java.lang.String key)

  This is used for retrieving local setup keys of type binary. For more information, see Defines section in the skype-embedded_2.h

  Parameters:
    `key` -
  Returns:
    value

### SetStr

    public void SetStr(java.lang.String key,
                       java.lang.String value)

  This is used for setting local setup keys of type string. For more information, see Defines section in the skype-embedded_2.h

  Parameters:
    `key` -
    `value` -

### SetInt

    public void SetInt(java.lang.String key,
                       int value)

  This is used for setting local setup keys of type int. For more information, see Defines section in the skype-embedded_2.h

  Parameters:
    `key` -
    `value` -

### SetBin

    public void SetBin(java.lang.String key,
                       byte[] value)

  This is used for setting local setup keys of type binary. For more information, see Defines section in the skype-embedded_2.h

  Parameters:
    `key` -
    `value` -

### IsDefined

    public boolean IsDefined(java.lang.String key)

  Returns true if the given setup key is defined in local setup. For more information, see Defines section in the skype-embedded_2.h

  Parameters:
    `key` -
  Returns:
    value

### Delete

    public void Delete(java.lang.String key)

  Parameters:
    `key` -

### GetSubKeys

    public java.lang.String[] GetSubKeys(java.lang.String key)

  Parameters:
    `key` -
  Returns:
    value

### GetISOLanguageInfo

    public Skype.GetISOLanguageInfoResult GetISOLanguageInfo()

  Returns two string lists. First of them will contain list of two-letter language codes (ISO 639-1) The second list contains names of corresponding languages.

  Returns:
    GetISOLanguageInfoResult

### GetISOCountryInfo

    public Skype.GetISOCountryInfoResult GetISOCountryInfo()

  Returns three string lists and one int array, containing 2-letter country code, country name, dialing prefix and example dial string (not available for all items). This method does currently return 0 for South Georgia and the South Sandwich Islands.

  Returns:
    GetISOCountryInfoResult

### GetISOCountryCodebyPhoneNo

    public java.lang.String GetISOCountryCodebyPhoneNo(java.lang.String number)

  Returns 2-letter country code based on PSTN number. The input argument has to be without + in from of it - '37212345678' will return 'ee' while '+37212345678' will return an empty string.

  Parameters:
    `number` -
  Returns:
    countryCode

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.